// -*-c++-*-
#ifndef SP_SETPLAY_ABORT_MESSAGE_H
#define SP_SETPLAY_ABORT_MESSAGE_H

#include <setplay/communication/imessage.h>

namespace setplay {

    class SetplayAbortMessage: public IMessage {
    public:
        SetplayAbortMessage(const PlayerAffiliation& sender,
                            unsigned int time,
                            unsigned int setplayId, bool inverted = false);
        SetplayAbortMessage(const SetplayAbortMessage& other);
        ~SetplayAbortMessage();

        MessageType type() const;

        void getProcessed(IMessageProcessor& sender) const;

        SetplayAbortMessage* clone() const;

        void print(std::ostream& os) const;
    };

}

#endif
