#include "condition_var.h"

#include <setplay/model/ivisitor.h>

namespace setplay {

    VarCondition::VarCondition(const string name)
        : Variable(name)
    {

    }

    TokenType VarCondition::type() const
    {
        return TT_VAR_CONDITION;
    }

    void VarCondition::visit(IVisitor& visitor)
    {
        visitor.visit( *this );
    }

    VarCondition& VarCondition::operator*()
    {
        return *this;
    }
}
