#ifndef DO_WHILE_H
#define DO_WHILE_H


#include <setplay/model/directives/idirective.h>

namespace setplay {

    class DoWhile
            : public IDirective {
    public:

      DoWhile(Players *players = NULL,
              Actions* actions = NULL,
              ICondition* condition = NULL );
      DoWhile(const DoWhile& other);
      ~DoWhile();

      TokenType type() const;
      DirectiveType directiveType() const;

      ICondition* condition() const;
      DoWhile& setCondition( ICondition* condition );

      void visit(IVisitor &visitor);
      DoWhile* clone() const;
    private:
      ICondition* M_condition;
    };
}

#endif // DO_WHILE_H
