#include "playerReference.h"
#include "parameter.h"
#include <iostream>

using namespace std;
using namespace fcportugal::setplay;

int main(){
  cout<<"---------------------------------------------------------------"<<endl;
  cout<<"   PLAYER REFERENCE UNIT TEST "<<endl;
  cout<<"---------------------------------------------------------------"<<endl;

  string sobra;

  vector<SetplayParameter*>* vecParam = new vector<SetplayParameter*>;
  vector<IPlayerID*>* vec = new vector<IPlayerID*>;

  Object* pr1 = Object::parse("(playerRole :roleName attacker)   ",sobra,vecParam,vec);
  Object* pr1b = Object::parse("(playerRole :roleName attacker)   ",sobra,vecParam,vec);
  vec->push_back((IPlayerID*)pr1);

  if(pr1) pr1->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;

  Object* pid1 = Object::parse("(player :team our :number 3)   ",sobra,vecParam,vec);
  Object* pid1b = Object::parse("(player :team our :number 3)   ",sobra,vecParam,vec);
  Object* pid1c  = Object::parse("(player :team our :number 5)   ",sobra,vecParam,vec);

  if(pid1) pid1->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;

 

  Object* pr2 = Object::parse("(playerRole :roleName defender)   ",sobra,vecParam,vec);

  if(pr2) pr2->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;

  Object* pid2 = Object::parse("(player :team opp :number 3)   ",sobra,vecParam,vec);

  if(pid2) pid2->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;

  Object::parse("3 ",sobra,vecParam,vec);

  if(pid2) pid2->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;


  Object* pid3 = Object::parse("attacker   ",sobra,vecParam,vec);

  if(pid3) pid3->print(cout);
  else cout <<endl<< "Bico: null"<<endl;

  cout<<endl<<"Tamanhodo resto: "<< sobra.length() << endl;

  Object* pid4 = Object::parse("attacker   ",sobra,vecParam,NULL);

  if(pid4) cout <<endl<< "Nao deu null, ERRO!"<<endl;
  else cout <<endl<< "Normal se der NULL"<<endl;

  //Teste de comparacoes...

  cout<<"\nAuto comparacao role:"<<((PlayerRole*)pr1)->equals((PlayerRole*)pr1);
  cout<<"\nAuto comparacao playerID:"<<((PlayerID*)pid1)->equals((PlayerID*)pid1);

  cout<<"\nComparacao playerIDs iguais: TRUE"<<((PlayerID*)pid1)->equals((PlayerID*)pid1b)
      <<((PlayerID*)pid1b)->equals((PlayerID*)pid1);
  cout<<"\nComparacao playerIDs difs: FALSE"<<((PlayerID*)pid1)->equals((PlayerID*)pid1c)
      <<((PlayerID*)pid1c)->equals((PlayerID*)pid1);

  cout<<"\nComparacao playerRoles iguais: TRUE"<<((PlayerRole*)pr1b)->equals((PlayerRole*)pr1)
      <<((PlayerRole*)pr1)->equals((PlayerRole*)pr1b);
  cout<<"\nComparacao playerRoles difs: FALSE"<<((PlayerRole*)pr2)->equals((PlayerRole*)pr1)
      <<((PlayerRole*)pr1)->equals((PlayerRole*)pr2);

  cout<<"\nComparacao playerRole e playerID: FALSE"<<((PlayerID*)pid1)->equals((PlayerRole*)pr1)
      <<((PlayerRole*)pr1)->equals((PlayerID*)pid1);

  ((PlayerRole*)pr1)->set((PlayerID*)Object::parse("(player :team our :number 3)   ",sobra,vecParam,vec));
  cout<<"\nComparacao playerRole e playerID: TRUE"<<((PlayerID*)pid1)->equals((PlayerRole*)pr1)
      <<((PlayerRole*)pr1)->equals((PlayerID*)pid1)<<endl;

}
