#ifndef GOAL_OPPORTUNITY_H
#define GOAL_OPPORTUNITY_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
	namespace event
	{

        class GoalOpportunity
                : public Event {
		public:
			GoalOpportunity(unsigned int start_time, PlayerId player_id);
			
            EventType type() const;
			PlayerId player() const;
		private:
			PlayerId M_player;
		};
	
	
	}
}

#endif
