#ifndef INDIRECT_FREE_KICK_TAKEN_H
#define INDIRECT_FREE_KICK_TAKEN_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
    namespace event
    {

        class IndirectFreeKickTaken: public Event {
        public:
            IndirectFreeKickTaken(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;

            void visit(IEventVisitor& visitor) const;
        private:
            TeamSide M_side;
        };

    }
}


#endif // INDIRECT_FREE_KICK_TAKEN_H
