#ifndef KICK_OFF_H
#define KICK_OFF_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
	namespace event 
	{		
        class KickOff
                : public Event {
		public:
            KickOff(unsigned int start_time, TeamSide side);

            EventType type() const;
            TeamSide side() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
            TeamSide M_side;

		};

	}
}


#endif
