#include "shoot.h"
#include "ievent_visitor.h"

namespace soccer 
{
	namespace event
	{
		
        Shoot::Shoot(unsigned int start_time, PlayerId shooter)
            : Event(start_time)
			, M_shooter(shooter)
		{

		}

        IEvent::EventType Shoot::type() const
        {
            return IEvent::Shoot;
        }

   		PlayerId Shoot::shooter() const
		{
			return M_shooter;
		}
		
        void Shoot::visit(IEventVisitor& visitor) const
		{
			visitor.visit( *this );
		}

	}
}

