#include "turnover.h"

#include <soccer/events/ievent_visitor.h>

namespace soccer {
namespace event {

Turnover::Turnover(unsigned int start_time, TeamSide team_in_possession)
    : Event( start_time )
    , M_team_in_possesion( team_in_possession )
{

}

IEvent::EventType Turnover::type() const
{
    return IEvent::Turnover;
}

TeamSide Turnover::teamInPossession() const
{
    return M_team_in_possesion;
}

void Turnover::visit(IEventVisitor &visitor) const
{
    visitor.visit( *this );
}

}
}
