#include "flux.h"

namespace soccer {
namespace flux {

    Flux::~Flux()
    {

    }

    bool Flux::readFile(const std::string& file_name)
    {
        std::ifstream ifs(file_name.c_str(), std::istream::in);
        if ( !ifs.is_open() )
        {
            std::cerr << "Flux: Could not open flux file " << file_name << std::endl;
            return false;
        }
        return read(ifs);
    }

}
}
