#ifndef FCPORTUGAL_FORMATION_SBSP_H
#define FCPORTUGAL_FORMATION_SBSP_H

#include <strategy/formation/formation.h>

#include <map>
#include <string>

namespace soccer
{
    namespace formation
    {

        class FormationSBSP
                : public Formation {
        public:
            FormationSBSP();
            FormationSBSP(unsigned int id);

            rcsc::Vector2D position(const soccer::Unum& number,
                                    const IWorldModel& wm) const;

            bool read( std::istream & is );
            bool readPlayersPositions(std::istream& is);

            FormationType type() const;
        private:
            UnumPositions M_positions;
        };

    }
}

#endif // FCPORTUGAL_FORMATION_SBSP_H
