#include "formation_selector.h"

using namespace std;

namespace soccer {

namespace formation {

IFormationSelector::IFormationSelector()
{

}

/// SituationFormationSelector
SituationFormationSelector::SituationFormationSelector()
{

}

void SituationFormationSelector::addFormation( GameSituation game_situation,
                                               unsigned int formation_id )
{
    M_formations.insert(pair<GameSituation, unsigned int>( game_situation,
                                                           formation_id));
}

unsigned int SituationFormationSelector::formation()
{
    // TODO What if there are no formations for all game situations => return default formation
    return M_formations.at( M_world_model->currentGameMode().gameSituation() );
}

}
}
