#ifndef TEST_CASE_GENERATOR_H
#define TEST_CASE_GENERATOR_H

#include <vector>
#include <setplay/model/setplay.h>

class TestCase;
class ICondition;

class TestCaseGenerator
{
public:
    TestCaseGenerator();

    std::vector<TestCase> generateTestCases(const setplay::Setplay& setplay,
                                            unsigned int num_test_cases);

private:

    void analyzeCondition(const ICondition* condition);
};

#endif // TEST_CASE_GENERATOR_H
