#ifndef COND_CAN_SHOOT_H
#define COND_CAN_SHOOT_H

#include <setplay/model/conditions/icondition.h>
#include <setplay/model/participants/iplayer.h>

namespace setplay {

class CondCanShoot
        : public ICondition
{
public:
    CondCanShoot(IPlayer *player = NULL);
    CondCanShoot(const CondCanShoot& other);
    ~CondCanShoot();

    TokenType type() const;

    IPlayer* player() const;
    CondCanShoot& setPlayer(IPlayer* player);

    CondCanShoot* clone() const;
    CondCanShoot& operator*();
    void visit(IVisitor &visitor);
private:
    IPlayer* M_player;
};

}

#endif // COND_CAN_SHOOT_H
