// -*-c++-*-

/***************************************************************************
                                   cond.h
                               Clang conditions
                             -------------------
    begin                : 28-NOV-2006
    copyright            : (C) 2006 by Luis Mota
    email                : luis.mota@iscte.pt
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU LGPL as published by the Free Software  *
 *   Foundation; either version 2 of the License, or (at your option) any  *
 *   later version.                                                       *
 *                                                                         *
 ***************************************************************************/

#ifndef SETPLAY_CONDITION_H
#define SETPLAY_CONDITION_H

#include <cassert>
#include <vector>

#include <setplay/model/object.h>

using namespace std;

namespace setplay {

    class ICondition
            : public Object {
    public:
        virtual ~ICondition() { }

        virtual ICondition* clone() const = 0;
        virtual ICondition& operator*() = 0;

    };

    typedef std::vector< ICondition* > Conditions;
}


#endif // SETPLAY_CONDITION_H
