// -*-c++-*-

#ifndef SP_DO_H
#define SP_DO_H

#include <setplay/model/directives/idirective.h>

namespace setplay {

    class Do
            : public IDirective {
    public:

      Do(Players *players = NULL, Actions* actions = NULL);
      Do(const Do& other);
      ~Do();

      TokenType type() const;
      DirectiveType directiveType() const;

      void visit(IVisitor &visitor);
      Do* clone() const;
    };
}

#endif
