// -*-c++-*-

#ifndef SP_PLAYER_VAR_H
#define SP_PLAYER_VAR_H

#include <setplay/model/variable.h>
#include <setplay/model/participants/iplayer.h>

namespace setplay {

    class VarPlayer
            : public IPlayer
            , public Variable {
    public:
        VarPlayer(const string name);
        VarPlayer(const VarPlayer& other);

        TokenType type() const;
        PlayerType playerType() const;

        void visit(IVisitor& visitor);
        VarPlayer* clone() const;
    };

}

#endif
