#ifndef ASSIST_H
#define ASSIST_H

#include <soccer/events/pass.h>

namespace soccer {
namespace event {

/*!
\brief Describes a pass that leads to a goal from the receiver which can dribble to goal between shooting
*/

class Assist
        : public Pass {
public:
	Assist(unsigned int start_time, unsigned int end_time,
           TeamSide team_side,
           soccer::Unum sender, soccer::Unum receiver);
};

}
}

#endif
