#ifndef GOAL_H
#define GOAL_H

#include <soccer/events/event.h>
#include <soccer/player_id.h>

namespace soccer
{
	namespace event 
	{

		class Goal: public Event {
		public:
            Goal(unsigned int time, TeamSide side);
            Goal(const Goal& other);

            EventType type() const;
            TeamSide side() const;
			
            void visit(IEventVisitor& visitor) const;
		private:
            TeamSide M_side;
		};

	}
}

#endif
