#ifndef GOAL_PASS_CHAIN_H
#define GOAL_PASS_CHAIN_H

#include <vector>
#include <soccer/events/event_chain.h>

namespace soccer {
namespace event {

class GoalPassChain
        : public EventChain
{
public:
    GoalPassChain();
    GoalPassChain( const std::vector< std::tr1::shared_ptr<IEvent> >& events );
    GoalPassChain( const GoalPassChain& goal_pass_chain );

    EventType type() const;

    void visit(IEventVisitor& visitor) const;
};

}
}

#endif // GOAL_PASS_CHAIN_H
