#ifndef PASS_CHAIN_H
#define PASS_CHAIN_H

#include <soccer/events/event_chain.h>

namespace soccer
{
	namespace event
	{

       class PassChain
                : public EventChain
        {
		public:
            PassChain();
            PassChain( const std::vector< std::tr1::shared_ptr<IEvent> >& events);
            PassChain(const PassChain& pass_chain);
		
            EventType type() const;

            void visit(IEventVisitor& visitor) const;
		};
	
	}
}

#endif
