#ifndef ISTATIC_OBJECT_H
#define ISTATIC_OBJECT_H

#include <rcsc/geom/vector_2d.h>

namespace soccer {

    class IStaticObject {
    public:
        IStaticObject(rcsc::Vector2D position)
            : M_position(position) 
        {
	
        }
        IStaticObject(const IStaticObject& other)
            : M_position(other.position())
        {

        }

        virtual ~IStaticObject() { }

        virtual rcsc::Vector2D position() const
        {
            return M_position;
        }

private:
    rcsc::Vector2D M_position;
};

}

#endif
